#
# Conditional build:
%bcond_without	openssl		# system OpenSSL instead of internal ByoCrypto
%bcond_without	tests		# unit tests
#
Summary:	AWS C CAL (Crypto Abstraction Layer)
Summary(pl.UTF-8):	Biblioteka AWS C CAL (Crypto Abstraction Layer - warstwa abstrakcji kryptografii)
Name:		aws-c-cal
Version:	0.9.2
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/awslabs/aws-c-cal/releases
Source0:	https://github.com/awslabs/aws-c-cal/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	63350b547630e002c0af0c63e24cd41b
URL:		https://github.com/awslabs/aws-c-cal
BuildRequires:	aws-c-common-devel
BuildRequires:	cmake >= 3.9
BuildRequires:	gcc >= 5:3.2
# also aws-lc possible (with -DUSE_OPENSSL=OFF)
%{?with_openssl:BuildRequires:	openssl-devel >= 1.0.2}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AWS Crypto Abstraction Layer: Cross-Platform, C99 wrapper for
cryptography primitives.

%description -l pl.UTF-8
AWS Crypto Abstraction Layer - wieloplatformowy interfejs C99 do
podstaw kryptograficznych.

%package devel
Summary:	Header files for AWS C CAL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AWS C CAL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aws-c-common-devel
%{?with_openssl:Requires:	openssl-devel >= 1.0.2}

%description devel
Header files for AWS C CAL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AWS C CAL.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{?with_openssl:-DBYO_CRYPTO=OFF} \
	%{?with_openssl:-DUSE_OPENSSL=ON} \

%{__make}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NOTICE README.md
%attr(755,root,root) %{_libdir}/libaws-c-cal.so.1.0.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libaws-c-cal.so
%{_includedir}/aws/cal
%{_libdir}/cmake/aws-c-cal
%changelog
* Sun Jun 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aws-c-cal.git;a=log;h=auto/th/aws-c-cal-0.9.2-1

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 3e53f68
- include/aws dir belongs do aws-c-common

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> aaf19cd
- default to openssl

* Sat Jun 14 2025 Jakub Bogusz <qboosh@pld-linux.org> f214e55
- new

